commoble.databuddy.config

## Class ConfigHelper.ConfigObjectListener<T>

- java.lang.Object
- - commoble.databuddy.config.ConfigHelper.ConfigObjectListener<T>

All Implemented Interfaces:
  java.util.function.Supplier<T>

Enclosing class:
  ConfigHelper

    public static class ConfigHelper.ConfigObjectListener<T>
    extends java.lang.Object
    implements java.util.function.Supplier<T>

A config-reload-sensitive wrapper around a config field for a complex object

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `get()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### get

    @Nonnull
    public T get()

Specified by:
  `get` in interface `java.util.function.Supplier<T>`